import request from '@/utils/request'

// 查询会员列表
export function listMallMemberUser(query) {
  return request({
    url: '/mall/mallMemberUser/list',
    method: 'get',
    params: query
  })
}

// 查询会员列表
export function mallMemberUserselectList() {
  return request({
    url: '/mall/mallMemberUser/selectList',
    method: 'get'
  })
}

// 查询会员详细
export function getMallMemberUser(id) {
  return request({
    url: '/mall/mallMemberUser/' + id,
    method: 'get'
  })
}

// 新增会员
export function addMallMemberUser(data) {
  return request({
    url: '/mall/mallMemberUser',
    method: 'post',
    data: data
  })
}

// 修改会员
export function updateMallMemberUser(data) {
  return request({
    url: '/mall/mallMemberUser',
    method: 'put',
    data: data
  })
}

// 删除会员
export function delMallMemberUser(id) {
  return request({
    url: '/mall/mallMemberUser/' + id,
    method: 'delete'
  })
}

// 导出会员
export function exportMallMemberUser(query) {
  return request({
    url: '/mall/mallMemberUser/export',
    method: 'get',
    params: query
  })
}
